Creating a user
curl --request POST \
--url https://api.qminder.com/v1/users \
--header 'Content-Type: application/json' \
--header 'X-Qminder-REST-API-Key: <api-key>' \
--data '
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"roles": "<string>"
}
'import requests
url = "https://api.qminder.com/v1/users"
payload = {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"roles": "<string>"
}
headers = {
"X-Qminder-REST-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Qminder-REST-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
firstName: '<string>',
lastName: '<string>',
roles: '<string>'
})
};
fetch('https://api.qminder.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"statusCode\": 200,\n \"id\": \"226859\"\n}"Users
Creating a user
POST
/
v1
/
users
Creating a user
Authorizations
Body
application/jsonapplication/x-www-form-urlencoded
The email address of the new user. They must be able to receive an e-mail. The maximum length is 100 characters.
The first name of the new user. The maximum length is 50 characters.
The last name of the new user. The maximum length is 50 characters.
Array of access roles for the user. The array must have at least one access role. Access roles are JSON objects with the following fields: type (string) Mandatory. The access level. Either "CLERK", "MANAGER", or "ADMIN". location (number) Optional. The location where to grant access. Mandatory for CLERK and MANAGER access levels.
⌘I